Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class QueryByDNValueImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.QueryValueImpl
              com.sun.management.oss.impl.pm.opstatus.PmQueryValueImpl
                  com.sun.management.oss.impl.pm.opstatus.QueryOperationalStatusMonitorValueImpl
                      com.sun.management.oss.impl.pm.opstatus.QueryByDNValueImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, QueryByDNValue, QueryOperationalStatusMonitorValue, QueryValue, java.io.Serializable, SerializerFactory

public class QueryByDNValueImpl
extends QueryOperationalStatusMonitorValueImpl
implements QueryByDNValue

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Hooman Tahamtani, Katarina Wahlstr?m
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.pm.opstatus.QueryByDNValue
`DISTINGUISHED_NAMES, QUERY_TYPE`

Fields inherited from interface com.sun.management.oss.pm.opstatus.QueryOperationalStatusMonitorValue
`GRANULARITY_PERIOD, NAME, STATE, VALUE_TYPE`

Constructor Summary
`QueryByDNValueImpl()`

Method Summary
`javax.management.ObjectName[]` | `getDistinguishedNames()` Returns the query value of the distinguished names.
`void` | `setDistinguishedNames(javax.management.ObjectName[] distinguishedNames)` Sets the query value of the distinguished names.

Methods inherited from class com.sun.management.oss.impl.pm.opstatus.QueryOperationalStatusMonitorValueImpl
`getGranularityPeriod, getName, getState, getValueType, setGranularityPeriod, setName, setState, setValueType`

Methods inherited from class com.sun.management.oss.impl.pm.opstatus.PmQueryValueImpl
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`clone, getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.pm.opstatus.QueryOperationalStatusMonitorValue
`getGranularityPeriod, getName, getState, getValueType, setGranularityPeriod, setName, setState, setValueType`

Methods inherited from interface com.sun.management.oss.QueryValue
`clone`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Constructor Detail

### QueryByDNValueImpl

    public QueryByDNValueImpl()

Method Detail

### getDistinguishedNames

    public javax.management.ObjectName[] getDistinguishedNames()
                                                        throws java.lang.IllegalStateException

  Description copied from interface: `QueryByDNValue`
  Returns the query value of the distinguished names.

  If no distinguished names has been set then an empty string array is returned.

  Specified by:
    `getDistinguishedNames` in interface `QueryByDNValue`
  Returns:
    String[] List of distinguished names.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `QueryByDNValue.setDistinguishedNames(javax.management.ObjectName[])`

### setDistinguishedNames

    public void setDistinguishedNames(javax.management.ObjectName[] distinguishedNames)
                               throws java.lang.IllegalArgumentException

  Description copied from interface: `QueryByDNValue`
  Sets the query value of the distinguished names.

  The distinguished names will be checked with each observable object instance of all measurement job. The DNs can be fully qualified ObjectName instances or ObjectName patterns.

  Specified by:
    `setDistinguishedNames` in interface `QueryByDNValue`
  Parameters:
    `distinguishedNames` - an array of ObjectName specifying the distinguished name values
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `QueryByDNValue.getDistinguishedNames()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD